summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2009-12-22 22:52:52 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2009-12-22 22:52:52 +0000
commit594223f33fec583d63f032d3645d0fe26c30b2ef (patch)
tree6e7ea02cabc52ed6a1bfbea09ff640a5bdb2a093 /eclass
parentPull in changes from overlay (diff)
downloadhistorical-594223f33fec583d63f032d3645d0fe26c30b2ef.tar.gz
historical-594223f33fec583d63f032d3645d0fe26c30b2ef.tar.bz2
historical-594223f33fec583d63f032d3645d0fe26c30b2ef.zip
Sync from kde-testing. Use NOCOLOR variable instead of some local one.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/cmake-utils.eclass8
1 files changed, 2 insertions, 6 deletions
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index 5e2cb37553ae..cd83fcfef690 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.38 2009/12/18 10:49:55 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.39 2009/12/22 22:52:52 scarabeus Exp $
# @ECLASS: cmake-utils.eclass
# @MAINTAINER:
@@ -113,10 +113,6 @@ _use_me_now_inverted() {
# @DESCRIPTION:
# Set to enable in-source build.
-# @ECLASS-VARIABLE: CMAKE_NO_COLOR
-# @DESCRIPTION:
-# Set to disable cmake output coloring.
-
# @ECLASS-VARIABLE: CMAKE_VERBOSE
# @DESCRIPTION:
# Set to enable verbose messages during compilation.
@@ -314,7 +310,7 @@ enable_cmake-utils_src_configure() {
cat > "${common_config}" <<- _EOF_
SET (LIB_SUFFIX ${libdir/lib} CACHE STRING "library path suffix" FORCE)
_EOF_
- [[ -n ${CMAKE_NO_COLOR} ]] && echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}"
+ [[ -n ${NOCOLOR} ]] || echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}"
# Convert mycmakeargs to an array, for backwards compatibility
# Make the array a local variable since <=portage-2.1.6.x does not